Skip to main content
GET
/
reps
List reps
curl --request GET \
  --url https://api.altahq.com/v1/reps \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "objectType": "rep",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "ownedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "hasMore": true,
  "next": "<string>",
  "previous": "<string>"
}
Returns a paginated list of rep objects.

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Query Parameters

limit
integer
default:10

Maximum number of results to return (1–100). Defaults to 10.

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination. Use the next or previous value from a prior response.

ownedById
string<uuid>

Filter reps by the user ID of the owner.

Response

A paginated list of reps

data
object[]
required
hasMore
boolean
required
next
string
previous
string